Skip to main content

Overview

This endpoint returns the tokens a payor can use for the current invoice/session, including availability metadata.

Authentication

Requires:
  • x-session-token: pst_...
  • x-signature: sig_...

Request

Endpoint:
  • GET /api/v1/payments/available-tokens
Query params:
  • mode: monitored (default) | all | network
  • network: required when mode=network
  • available_only: when true, returns only tokens that are currently available for the invoice amount
Example:

Response

Underpaid behavior

If the invoice is underpaid, the response is limited to the locked token for the original network.

Availability filtering

If you omit available_only, the response includes unavailable tokens with availability_status and unavailable_reason so clients can decide what to show. Use available_only=true to return only currently available tokens.

Errors

  • 401 invalid session token/signature
  • 404 session not found / expired

Examples

Next step for checkout: create a Payment address for a selected token. Next: Payment status